Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 462835 - Review Request: perl-Math-Calc-Units - Human-readable unit-aware calculator
Summary: Review Request: perl-Math-Calc-Units - Human-readable unit-aware calculator
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-09-19 09:35 UTC by Benny Amorsen
Modified: 2008-12-13 02:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-13 02:12:43 UTC


Attachments (Terms of Use)

Description Benny Amorsen 2008-09-19 09:35:54 UTC
Spec URL: <http://amorsen.dk/fedora/perl-Math-Calc-Units.spec>
SRPM URL: <http://amorsen.dk/fedora/perl-Math-Calc-Units-1.06-1.src.rpm>
Description: 
C<Math::Calc::Units> is a simple calculator that keeps track of units. It
currently handles combinations of byte sizes and duration only,
although adding any other multiplicative types is easy. Any unknown
type is treated as a unique user type (with some effort to map English
plurals to their singular forms).

Comment 1 Jason Tibbitts 2008-10-01 18:42:51 UTC
I don't see you in the account system at all; what's your FAS ID?

Comment 2 Benny Amorsen 2008-10-01 19:51:21 UTC
I don't have a Fedora account yet, I'm still at step 1.1.8 in http://fedoraproject.org/wiki/PackageMaintainers/Join

Comment 3 Jason Tibbitts 2008-10-01 20:02:24 UTC
Ahh, then you seem to have missed the text in the box with the red exclamation mark.

Comment 4 Benny Amorsen 2008-10-01 20:27:19 UTC
Yes. Sorry. This is my first package and I need a sponsor. I have created an account "amorsen" in FAS; I will have work approve my CLA as quickly as possible.

Comment 5 Fabian Affolter 2008-10-24 08:11:56 UTC
Just some small comments on your spec file.

release:   1

- add %{?dist} -> Release: 1%{?dist}

license:   GPL or Artistic

- Should be License:  GPL+ or Artistic
  https://fedoraproject.org/wiki/Packaging/Perl#License_tag

buildrequires:  perl(ExtUtils::MakeMaker)

- Should be Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
  https://fedoraproject.org/wiki/Packaging/Perl#Versioned_MODULE_COMPAT__Requires

source:    Math-Calc-Units-1.06.tar.gz

- The source should come from upstream.
  Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
  https://fedoraproject.org/wiki/Packaging/SourceURL

%changelog

- add some thning like * Fri Sep 19 2008 <amorsen@terpsichore.ipvision.dk> - 1.06-1

  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

For more details about packaging perl stuff please check https://fedoraproject.org/wiki/Packaging/Perl

Comment 6 Fabian Affolter 2008-11-14 10:42:21 UTC
ping?

Comment 7 Jason Tibbitts 2008-12-06 21:55:44 UTC
It has been well over a month since comment #5 with no response.  This ticket will be closed soon if there is no further progress.

Comment 8 Jason Tibbitts 2008-12-13 02:12:43 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.